<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/wwdt.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">wwdt.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d09/wwdt_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __WWDT_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __WWDT_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9b852e05848d68426dc0a486f0686ab3">   32</a></span><span class="preprocessor">#define WWDT_PRESCALER_1          (0UL &lt;&lt; WWDT_CR_PERIODSEL_Pos)   </span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabecdc2785099003a5fa238409e9afa2a">   33</a></span><span class="preprocessor">#define WWDT_PRESCALER_2          (1UL &lt;&lt; WWDT_CR_PERIODSEL_Pos)   </span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga56ed61404a9c9a99e8194e4b61e79555">   34</a></span><span class="preprocessor">#define WWDT_PRESCALER_4          (2UL &lt;&lt; WWDT_CR_PERIODSEL_Pos)   </span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaef72209f0af03ba5dad7f20f60e96f6b">   35</a></span><span class="preprocessor">#define WWDT_PRESCALER_8          (3UL &lt;&lt; WWDT_CR_PERIODSEL_Pos)   </span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3f45116cac760ba1af57b866379d88ec">   36</a></span><span class="preprocessor">#define WWDT_PRESCALER_16         (4UL &lt;&lt; WWDT_CR_PERIODSEL_Pos)   </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga73e0a70a3b34355289d32f3232911936">   37</a></span><span class="preprocessor">#define WWDT_PRESCALER_32         (5UL &lt;&lt; WWDT_CR_PERIODSEL_Pos)   </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf0a32ca2e80935271a27db14ee9e9f90">   38</a></span><span class="preprocessor">#define WWDT_PRESCALER_64         (6UL &lt;&lt; WWDT_CR_PERIODSEL_Pos)   </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad1231630df0280e8e29fa6ad637031e8">   39</a></span><span class="preprocessor">#define WWDT_PRESCALER_128        (7UL &lt;&lt; WWDT_CR_PERIODSEL_Pos)   </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2b732b29b03ecfa961696dea9c05ede1">   40</a></span><span class="preprocessor">#define WWDT_PRESCALER_192        (8UL &lt;&lt; WWDT_CR_PERIODSEL_Pos)   </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5111fef2bd1bf9d1b8ca73b14e22e3b">   41</a></span><span class="preprocessor">#define WWDT_PRESCALER_256        (9UL &lt;&lt; WWDT_CR_PERIODSEL_Pos)   </span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1653c950744619573bb39371f5cb650b">   42</a></span><span class="preprocessor">#define WWDT_PRESCALER_384        (0xAUL &lt;&lt; WWDT_CR_PERIODSEL_Pos) </span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga016398b74088994686c047d0a1e91428">   43</a></span><span class="preprocessor">#define WWDT_PRESCALER_512        (0xBUL &lt;&lt; WWDT_CR_PERIODSEL_Pos) </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac5f52182a71a6d2c3b61a0d525ea9cd5">   44</a></span><span class="preprocessor">#define WWDT_PRESCALER_768        (0xCUL &lt;&lt; WWDT_CR_PERIODSEL_Pos) </span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga763bdcbfebf59ad93e7c1db205e3cd11">   45</a></span><span class="preprocessor">#define WWDT_PRESCALER_1024       (0xDUL &lt;&lt; WWDT_CR_PERIODSEL_Pos) </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf425638fba8194a62f3fa0423f21d69f">   46</a></span><span class="preprocessor">#define WWDT_PRESCALER_1536       (0xEUL &lt;&lt; WWDT_CR_PERIODSEL_Pos) </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga38a4ac3a2c0bbbcb953d21bf1bee058d">   47</a></span><span class="preprocessor">#define WWDT_PRESCALER_2048       (0xFUL &lt;&lt; WWDT_CR_PERIODSEL_Pos) </span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga24cb5576ee52949dbc1ad964b2be24ef">   49</a></span><span class="preprocessor">#define WWDT_RELOAD_WORD          (0x00005AA5)                      </span><span class="comment">/* end of group NANO1X2_WWDT_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga825684fc705a28642de45da9f016fef2">   63</a></span><span class="preprocessor">#define WWDT_CLEAR_RESET_FLAG()  (WWDT-&gt;STS = WWDT_STS_RF_Msk)</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac72648b277ba58cbcceedbc0b1440796">   71</a></span><span class="preprocessor">#define WWDT_CLEAR_INT_FLAG() (WWDT-&gt;STS = WWDT_STS_IF_Msk)</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2a6ebe0b489fd444d71f40462d205b89">   80</a></span><span class="preprocessor">#define WWDT_GET_RESET_FLAG() (WWDT-&gt;STS &amp; WWDT_STS_RF_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa83997f797b9ed2f09b0e9a1b466fd1d">   89</a></span><span class="preprocessor">#define WWDT_GET_INT_FLAG() (WWDT-&gt;STS &amp; WWDT_STS_IF_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga025892cbdb7a4013240126e6d3f59a42">   97</a></span><span class="preprocessor">#define WWDT_GET_COUNTER() (WWDT-&gt;VAL)</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac2cbcdd676f337a6ae256477e71e9114">  108</a></span><span class="preprocessor">#define WWDT_RELOAD_COUNTER() (WWDT-&gt;RLD  = WWDT_RELOAD_WORD)</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga918cf310aef9fe0717efb224d2a34ae9">WWDT_Open</a>(uint32_t u32PreScale, uint32_t u32CmpValue, uint32_t u32EnableInt);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> <span class="comment">/* end of group NANO1X2_WWDT_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> <span class="comment">/* end of group NANO1X2_WWDT_Driver */</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>}</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="preprocessor">#endif </span><span class="comment">//__WWDT_H__</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga918cf310aef9fe0717efb224d2a34ae9"><div class="ttname"><a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga918cf310aef9fe0717efb224d2a34ae9">WWDT_Open</a></div><div class="ttdeci">void WWDT_Open(uint32_t u32PreScale, uint32_t u32CmpValue, uint32_t u32EnableInt)</div><div class="ttdoc">This function make WWDT module start counting with different counter period and compared window value...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d90/wwdt_8c_source.html#l00051">wwdt.c:51</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
